org.apache.synapse.commons.json.jsonprocessor.constants

## Class ValidatorConstants

- java.lang.Object
- - org.apache.synapse.commons.json.jsonprocessor.constants.ValidatorConstants

-     public class ValidatorConstants
      extends java.lang.Object

  Constants used in JSON parser.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.Set<java.lang.String>` | `ARRAY_KEYS`
    `static java.util.Set<java.lang.String>` | `BOOLEAN_KEYS`
    `static java.lang.String` | `CONST`
    `static java.lang.String` | `ENUM`
    `static java.util.Set<java.lang.String>` | `NOMINAL_KEYS`
    `static java.util.Set<java.lang.String>` | `NULL_KEYS`
    `static java.util.Set<java.lang.String>` | `NUMERIC_KEYS`
    `static java.util.Set<java.lang.String>` | `OBJECT_KEYS`
    `static java.lang.String` | `TYPE_KEY`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_KEY

          public static final java.lang.String TYPE_KEY

      See Also:
        Constant Field Values

    - #### ENUM

          public static final java.lang.String ENUM

      See Also:
        Constant Field Values

    - #### CONST

          public static final java.lang.String CONST

      See Also:
        Constant Field Values

    - #### NUMERIC_KEYS

          public static final java.util.Set<java.lang.String> NUMERIC_KEYS

    - #### BOOLEAN_KEYS

          public static final java.util.Set<java.lang.String> BOOLEAN_KEYS

    - #### NOMINAL_KEYS

          public static final java.util.Set<java.lang.String> NOMINAL_KEYS

    - #### OBJECT_KEYS

          public static final java.util.Set<java.lang.String> OBJECT_KEYS

    - #### ARRAY_KEYS

          public static final java.util.Set<java.lang.String> ARRAY_KEYS

    - #### NULL_KEYS

          public static final java.util.Set<java.lang.String> NULL_KEYS

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.